Module java.corba
Package org.omg.PortableServer

## Interface LifespanPolicyOperations

All Superinterfaces:
  PolicyOperations

All Known Subinterfaces:
  LifespanPolicy

    public interface LifespanPolicyOperations
    extends PolicyOperations

The LifespanPolicy specifies the lifespan of the objects implemented in the created POA. The default is TRANSIENT.

### Method Summary

All Methods Instance Methods Abstract Methods
`LifespanPolicyValue` `value()` specifies the policy value

### Methods inherited from interface org.omg.CORBA.PolicyOperations

`copy, destroy, policy_type`

### Method Detail

#### value

    LifespanPolicyValue value()

specifies the policy value